org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPDeferredFunction

All Superinterfaces:
  IBinding, ICPPBinding, ICPPFunction, IFunction

    public interface ICPPDeferredFunction
    extends ICPPFunction

Represents a reference to a function which cannot be resolved because an argument depends on a template parameter.

Since:
  5.6

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`ICPPFunction[]` `getCandidates()` Returns the candidate functions the reference might resolve to after template instantiation.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPFunction

`getDeclaredType, getExceptionSpecification, getParameters, getRequiredArgumentCount, getType, hasParameterPack, isConstexpr, isDeleted, isExternC, isInline, isMutable`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IFunction

`getFunctionScope, isAuto, isExtern, isNoReturn, isRegister, isStatic, takesVarArgs`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Method Detail

#### getCandidates

    ICPPFunction[] getCandidates()

Returns the candidate functions the reference might resolve to after template instantiation.